import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React from 'react';
import { ModalTypes } from '@versini/ui-types';

declare function Modal({ children, ...options }: {
    children: React.ReactNode;
} & ModalTypes.Options): react_jsx_runtime.JSX.Element;
type overlayBackgroundProps = {
    overlayBackground?: string;
};
declare const ModalContent: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLDivElement> & overlayBackgroundProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare const ModalHeading: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLHeadingElement>, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
declare const ModalDescription: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
declare const ModalClose: React.ForwardRefExoticComponent<{
    trigger: React.ReactElement;
    className?: string;
} & React.RefAttributes<HTMLButtonElement>>;

export { Modal, ModalClose, ModalContent, ModalDescription, ModalHeading };
